Bug 2042047 (CVE-2021-45079) - CVE-2021-45079 strongswan: Incorrect Handling of Early EAP-Success Messages
Summary: CVE-2021-45079 strongswan: Incorrect Handling of Early EAP-Success Messages
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-45079
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2046473 2046474
Blocks: 2042048
TreeView+ depends on / blocked
 
Reported: 2022-01-18 18:22 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-01-27 04:36 UTC (History)
7 users (show)

Fixed In Version: stronswan 5.9.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-26 19:31:32 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2022-01-18 18:22:51 UTC
When using EAP authentication, the successful completion of the authentication is indicated by an EAP-Success message sent by the server to the client. strongSwan's EAP client code handled early EAP-Success messages incorrectly, either crashing the IKE daemon or concluding the EAP method prematurely, leading to varying outcomes depending on the configuration. Affected are all strongSwan versions since 4.1.2, including the latest 5.9.4.

Comment 1 Sandipan Roy 2022-01-26 18:51:11 UTC
Created strongswan tracking bugs for this issue:

Affects: epel-all [bug 2046473]
Affects: fedora-all [bug 2046474]

Comment 2 Product Security DevOps Team 2022-01-26 19:31:30 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 Paul Wouters 2022-01-27 03:44:44 UTC
Too bad I didn't get informed about this bug (I do get embargoed info from upstream strongswan, so I was aware of the CVE, just not this bug entry). So I couldn't add the bug to the updates that have already been done.


Note You need to log in before you can comment on or make changes to this bug.